CreateIPsecConnection
CreateIPsecConnection
/zstack/v1/ipsecOperation ID
CreateIPsecConnectionSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
peerAddressStringRequiredThe remote network address.
authModeStringOptional. The authentication mode.
authKeyStringRequiredThe authentication key.
idTypeStringThe ID configuration method.
vipUuidStringRequiredThe VIP UUID.
localIdStringOptional. The local ID.
remoteIdStringOptional. The remote ID.
peerCidrsListOptional. The detination network Cidrs.
ikeVersionStringOptional. The IKE version.
ikeAuthAlgorithmStringOptional. The IKE authentication algorithm.
ikeEncryptionAlgorithmStringOptional. The IKE encryption algorithm.
ikeDhGroupintOptional. The IKE DH Group.
ikeLifeTimeintOptional. The IKE lifetime.
policyAuthAlgorithmStringOptional. The ESP authentication algorithm.
policyEncryptionAlgorithmStringOptional. The ESP encryption algorithm.
pfsStringOptional. The perfect forward secrecy.
policyModeStringOptional. The policy mode.
transformProtocolStringOptional. The transform protocol.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
paramsstructureObjectRequiredparamsstructure request body object.
l3NetworkUuidStringOptional. The L3 network UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKChange History
View all change historyChange Time
AddedRequest body fields paramsstructureView API
